Package helma.util

# Class Diff.Change

java.lang.Object
helma.util.Diff.Change

Enclosing class:
  Diff

public static class Diff.Change extends Object
A legacy adapter that is compatible to the interface of the old GPL licenced Diff.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`deleted`
`final int`
`inserted`
`final int`
`line0`
`final int`
`line1`
`final Diff.Change`
`link`

## Method Summary

Modifier and Type
Method
Description
`static Diff.Change`
`fromList(List diffs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### link

public final Diff.Change link

### line0

public final int line0

### line1

public final int line1

### inserted

public final int inserted

### deleted

public final int deleted

## Method Details

### fromList

public static Diff.Change fromList(List diffs)